Bug 1129821 (CVE-2014-3595) - CVE-2014-3595 Satellite: Spacewalk contains XSS in log file view
Summary: CVE-2014-3595 Satellite: Spacewalk contains XSS in log file view
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3595
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140813,repo...
Depends On: 1139829
Blocks: 1140428
TreeView+ depends on / blocked
 
Reported: 2014-08-13 17:54 UTC by Kurt Seifried
Modified: 2019-06-08 20:08 UTC (History)
13 users (show)

Fixed In Version: spacewalk-java-1.2.39-137 spacewalk-java-1.7.54-129 spacewalk-java-2.0.2-85
Doc Type: Bug Fix
Doc Text:
A stored cross-site scripting (XSS) flaw was found in the way spacewalk-java displayed log files. By sending a specially crafted request to Satellite, a remote attacker could embed HTML content into the log file, allowing them to inject malicious content into the web page that is used to view that log file.
Clone Of:
Environment:
Last Closed: 2014-09-11 21:44:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1184 normal SHIPPED_LIVE Important: spacewalk-java security update 2014-09-12 00:16:51 UTC

Description Kurt Seifried 2014-08-13 17:54:29 UTC
IssueDescription:

A stored cross-site scripting (XSS) flaw was found in the way spacewalk-java displayed log files. By sending a specially crafted request to Satellite, a remote attacker could embed HTML content into the log file, allowing them to inject malicious content into the web page that is used to view that log file.

Comment 2 Kurt Seifried 2014-08-18 18:56:11 UTC
Created attachment 928042 [details]
4-0-create_with.patch

Comment 3 Kurt Seifried 2014-08-18 18:56:38 UTC
Created attachment 928043 [details]
4-1-create_with.patch

Comment 10 Kurt Seifried 2014-09-09 18:15:17 UTC
This issue has been re-opened.

Comment 12 Kurt Seifried 2014-09-09 19:03:41 UTC
Acknowledgement:

Red Hat would like to thank Ron Bowes of Google for reporting this issue.

Comment 14 errata-xmlrpc 2014-09-11 20:17:05 UTC
This issue has been addressed in the following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:1184 https://rhn.redhat.com/errata/RHSA-2014-1184.html


Note You need to log in before you can comment on or make changes to this bug.